      program les_boucles
      implicit none
      integer im,jm,i,j
      parameter (im=3,jm=2)
      real xxx(im,jm)
      do j=1,jm
         print*,'boucle exterieur j=',j
         do i=1,im
            print*,'boucle interieure i=',i
            xxx(i,j)=10.*j+i
            print*,'val_tab=',xxx(i,j)
         enddo
      enddo
      print*,'Le tableau xxx contient les elements ',xxx,
     s   ' ranges dans cet ordre.'
      print*,'xxx(1,2)=',xxx(1,2)
      end
